Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062775 - In a multi-node configuration, cannot configure multiple haproxies
Summary: In a multi-node configuration, cannot configure multiple haproxies
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Rajat Chopra
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 23:51 UTC by Jhon Honce
Modified: 2015-05-14 23:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 03:06:57 UTC


Attachments (Terms of Use)

Description Jhon Honce 2014-02-07 23:51:35 UTC
Description of problem:

In a multi-node configuration, cannot configure an application to support multiple haproxies


Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Create a multi-node configuration
2. oo-admin-ctl-user -l jhonce+dev@redhat.com --allowha true
3. rhc create-app <application> perl-5.10 -s
4. curl -k --user '<user>:<password>' https://<broker>/broker/rest/domains/<namespace>/applications/<application>/events -d event=make-ha

Actual results:
{"api_version":1.6,"data":null,"messages":[{"exit_code":1,"field":null,"index":null,"severity":"error","text":"Unexpected error: The target_update option specified but no old configuration: : <application>-<namespace>.dev.rhcloud.com\n"}],"status":"unprocessable_entity","supported_api_versions":[1.0,1.1,1.2,1.3,1.4,1.5,1.6],"type":null,"version":"1.6"}

Expected results:
Application should be scalable and support multiple haproxies

Additional info:

Comment 1 Rajat Chopra 2014-02-08 02:47:28 UTC
Fix with https://github.com/openshift/origin-server/pull/4696

Comment 2 Meng Bo 2014-02-11 03:25:39 UTC
Checked on devenv_4357 with multi-node env,

The scalable app can be made HA, and the two haproxy gears placed on different nodes.

Move bug to verified.


Note You need to log in before you can comment on or make changes to this bug.